Bug 747390 - Brightnes keys have no effect on Asus UL20A
Brightnes keys have no effect on Asus UL20A
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 13:15 EDT by Robert Smol
Modified: 2013-11-09 14:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1028848 (view as bug list)
Environment:
Last Closed: 2013-02-13 20:17:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (72.45 KB, text/x-log)
2011-10-21 18:11 EDT, Robert Smol
no flags Details

  None (edit)
Description Robert Smol 2011-10-19 13:15:10 EDT
Description of problem:
Pressing the Fn-F4 and Fn-F5 during GNOME3.2 sessions ;ldoes not change brightness. When I press it, I see the translucent notification and it changes the slider. However no effect - subsequent press will somehow delay the notification even up to 1 minute after the press.

Version-Release number of selected component (if applicable):

gnome-power-manager-3.2.0-1.fc16.x86_64
kernel-3.1.0-0.rc6.git0.3.fc16.x86_64

I've uploaded Smolt profile at http://www.smolts.org/client/show/pub_7f6f1686-d91a-4398-86fc-b40e4164afc2

How reproducible:

Boot into gnome and pres Fn-F4

Steps to Reproduce:
1. Boot and login
2. Press Fn key for decrease/increase
3. Wait
  
Actual results:

Only notification, no action.

Expected results:

Brightness is changed. I actually expects the brightness is handled automatically.

Additional info:
[root@laptop ~]# ls -l /sys/class/backlight/
total 0
lrwxrwxrwx. 1 root root 0 Oct 19 17:18 acpi_video0 -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video0
lrwxrwxrwx. 1 root root 0 Oct 19 17:18 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight
[root@laptop ~]# 

I would like to know what component is resposible for what and how I can help, Ican do some logs no problem.
Comment 1 Robert Smol 2011-10-21 18:11:24 EDT
Created attachment 529571 [details]
dmesg log

Today I've noticed there are some messags about ACPI errors, perhaps it helps
Comment 2 Robert Smol 2011-11-15 09:53:09 EST
I've modified the kernel boot to acpi_backlight=vendor, now the keys works. But once the screen is locked (inactivity), the screen is now without any backlight. I have to type my password blindly and then pres the brighntess keys to make it work. Any hints?
Comment 3 Fedora End Of Life 2013-01-16 17:45:03 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 20:17:22 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Oleg Andreych 2013-11-09 14:02:25 EST
This bug is reproducible on F19

Note You need to log in before you can comment on or make changes to this bug.